INDEX(3)

BEZEICHNUNG
index, rindex - finde ein Zeichen im String

SYNOPSIS
#include <string.h>

char *index(const char *s, int c);

char *rindex(const char *s, int c);

BESCHREIBUNG
Die Funktion index() gibt einen Zeiger auf die erste Position des Zeichens c im String s zurück.

Die Funktion rindex() gibt einen Zeiger auf die letzte Position des Zeichens c im String s zurück.

Das abschließende NULL-Zeichen gehört hier mit zum String

RÜCKGABEWERT
Die Funktionen index() und rindex() geben einen Zeiger auf das gefundene Zeichen zurück oder NULL, wenn es nicht gefunden wurde.

KONFORM ZU
BSD 4.3

SIEHE AUCH"
memchr(3), strchr(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3).